## unicornscan 0.4.7

=== Makefile ===
#
# p0f - dummy makefile
# --------------------
#
# Just for convenience.
# 
# (C) Copyright 2000-2003 by Michal Zalewski <lcamtuf@coredump.cx>
#

all: 
	./Build $@

static: 
	./Build $@

clean:
	./Build $@

publish:
	./Build $@

p0fq:
	./Build $@

tools:
	./Build $@

install:
	./Build $@

=== contrib/trie/Makefile ===
CC=gcc-4.1.1
CFLAGS= -Wall -Wshadow -Wcast-align -Wchar-subscripts -Wno-deprecated-declarations -Wformat-nonliteral -Wformat-security -Wimplicit -Wsign-compare -Wunused -Wmissing-format-attribute -Wmissing-noreturn -Wmissing-braces -Wparentheses -Wsequence-point -Wno-format-y2k -Wpointer-arith -fstrict-aliasing
CFLAGS+= -ggdb  -Werror
LDFLAGS=

PROGNAME=test
SRCS=trie.c stats.c
OBJS=$(SRCS:.c=.o)

all: $(PROGNAME)

.c.o: $<
	$(CC) $(CFLAGS) -c $< -o $@

$(PROGNAME): $(OBJS)
	$(CC) $(OBJS) -o $(PROGNAME) $(LDFLAGS)

install:
	@echo "fuck you! shut up! you're wrong!"

distclean: clean

clean:
	rm -f $(PROGNAME) $(OBJS) test.svg gmon.out

=== debian/changelog ===
unicornscan (0.4.7-1kali7) kali-dev; urgency=medium

  * Drop libpcap0.8 from Depends field
  * Misc packaging updates

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 07 May 2024 08:41:14 +0700

unicornscan (0.4.7-1kali6) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Drop use of autotools-dev debhelper.
  * Use secure URI in debian/watch.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * d/watch: Update to use sourceforge not debian redirector.
  * Update lintian overrides.
  * Fix up permissions of config files.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Sat, 08 Apr 2023 20:14:39 -0500

unicornscan (0.4.7-1kali5) kali-dev; urgency=medium

  * Update d/watch for upstream project name change
  * Add lintian-overrides
  * Don't install macOS related documentation
  * Update priority, standads version to 4.6.1, and
    add lipcap dependency
  * Add fixups to deal with lintian complaints
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 09 Nov 2022 17:24:05 -0600

unicornscan (0.4.7-1kali4) kali-dev; urgency=medium

  * Add homepage

 -- Ben Wilson <g0tmi1k@kali.org>  Wed, 21 Sep 2022 06:56:21 +0100

unicornscan (0.4.7-1kali3) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Add missing VCS fields

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Sep 2020 09:57:52 +0200

unicornscan (0.4.7-1kali2) kali-dev; urgency=medium

  * Add a patch to fix build on arm64

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Mar 2016 09:23:04 +0100

unicornscan (0.4.7-1kali1) kali; urgency=low

  * Updated the build depends

 -- Devon Kearns <dookie@kali.org>  Thu, 27 Jun 2013 06:15:33 -0600

unicornscan (0.4.7-1kali0) kali; urgency=low

  * Initial release (Closes: #0000388)

 -- Devon Kearns <dookie@kali.org>  Thu, 27 Jun 2013 05:21:52 -0600

=== debian/control ===
Source: unicornscan
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Devon Kearns <dookie@kali.org>,
 Sophie Brun <sophie@offensive-security.com>,
Rules-Requires-Root: no
Build-Depends:
 autotools-dev,
 bison,
 debhelper (>= 13.10.1),
 flex,
 libpcap-dev,
Standards-Version: 4.6.2
Homepage: http://www.unicornscan.org/
Vcs-Git: https://gitlab.com/kalilinux/packages/unicornscan.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/unicornscan

Package: unicornscan
Architecture: any
Depends:
 flex,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Userland distributed TCP/IP stack
 Unicornscan is a new information gathering and correlation engine built for and
 by members of the security research and testing communities. It was designed to
 provide an engine that is Scalable, Accurate, Flexible, and Efficient. It is
 released for the community to use under the terms of the GPL license.
 Benefits:
 .
 Unicornscan is an attempt at a User-land Distributed TCP/IP stack. It is
 intended to provide a researcher a superior interface for introducing a
 stimulus into and measuring a response from a TCP/IP enabled device or network.
 Although it currently has hundreds of individual features, a main set of
 abilities include:
 .
    - Asynchronous stateless TCP scanning with all variations of TCP Flags.
    - Asynchronous stateless TCP banner grabbing
    - Asynchronous protocol specific UDP Scanning (sending enough of a signature
    to elicit a response).
    - Active and Passive remote OS, application, and component identification
    by analyzing responses.
    - PCAP file logging and filtering
    - Relational database output
    - Custom module support
    - Customized data-set views

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- CFLAGS="-D_GNU_SOURCE -g"  --prefix=/usr --sysconfdir=/etc --localstatedir=/var/lib

# This package needs some love, for now we stay at compat 8
# so we can't execute_after_dh_install
override_dh_install:
	dh_install
	sed -i "/dependency_libs/ s/'.*'/''/" "$(CURDIR)/debian/unicornscan/usr/lib/unicornscan/modules/osdetect.la"

override_dh_fixperms:
	dh_fixperms
	chmod -x $(CURDIR)/debian/unicornscan/etc/unicornscan/modules.conf
	chmod -x $(CURDIR)/debian/unicornscan/etc/unicornscan/payloads.conf
	chmod -x $(CURDIR)/debian/unicornscan/etc/unicornscan/ports.txt
	chmod -x $(CURDIR)/debian/unicornscan/etc/unicornscan/unicorn.conf
	chmod -x $(CURDIR)/debian/unicornscan/etc/unicornscan/oui.txt

=== debian/watch ===
version=4
opts=searchmode=plain,uversionmangle=s/(\d+\.\d+\.\d+)-\d+/$1/ \
https://sourceforge.net/projects/osace/rss?limit=10000000000000000000 \
https?://.*/unicornscan-(.*)\.tar\.bz2
